このスレッドは解決済です(未解決に戻す場合はこちら)
<<戻る

Apache2.2.3でmod_evasiveは動かない? このメッセージに返信する
日時: 2008/12/13 22:49
名前: Nakai
URL:
64ビット版CentOS5.2でApache2.2.3を使っています。

DOS攻撃が凄いので対策としてmod_evasiveを使いたいと思い
下記サイトを参考にインストールしてみました。
http://www.makizou.com/archives/1341

httpd.confへの設定内容も上記と同じにして、
付属のtest.plで確認してみましたが、
全て200を返して意図した動作になりませんでした。

mod_evasiveのHP(http://www.zdziarski.com/projects/mod_evasive/)を
見るとApache v1.3 and 2.0となっているので未対応なのかなと思ったのですが、
Apache v2.2.x系で記事を書いている人がいるのかなと思うのですが・・・
詳しい人居ましたらアドバイスをお願いできませんでしょうか?

他に情報が必要でしたら記載致します。

宜しくお願い致します。
記事編集 編集
Re: Apache2.2.3でmod_evasiveは動かない? このメッセージに返信する
日時: 2008/12/14 17:22
名前: stranger
URL: http://ja.528p.com/
test.plが127.0.0.1:80でアクセスするのに
httpd.confで

DOSWhitelist 127.0.0.1 192.168.1.*

が設定してあると無視されるのでは?
(Whitelistと名の付くものはたいてい安全なサイトであると判断される)
この部分をコメント行(先頭に#をつける)にしてapacheを再起動
もう一度確認してください
記事編集 編集
Re: Apache2.2.3でmod_evasiveは動かない? このメッセージに返信する
日時: 2008/12/15 23:40
名前: まさる
URL:
strangerさん

>DOSWhitelist 127.0.0.1 192.168.1.*

これを消してApacheの再起動して、再度付属のtest.plで確認してみましたが、
全て200を返して意図した動作になりませんでした。

Errorログにも何もでてないですし、httpd -Mで確認しても読み込みされてるんですけどね・・・。
やっぱり2.2.x系じゃ動かないのかな・・・。

もう少しあがいてみます^^;
記事編集 編集
件名※必須
名前※必須
URL
任意のパスワード (投稿後のコメント修正・削除時に使用)
画像認証※必須 投稿キー(画像で表示されている数字を入力)
コメント※必須

※質問を投稿後に自己解決された場合は、原因と行った対処を具体的に書き込み下さるよう、よろしくお願いします。

- WEB PATIO -